import { Component, inject } from '@angular/core';
import { KeycloakService } from 'keycloak-angular';

@Component({
  selector: 'app-landing-page',
  standalone: true,
  imports: [],
  templateUrl: './landing-page.component.html',
})
export class LandingPageComponent {
  private keycloakService: KeycloakService = inject(KeycloakService);

  login() {
    const baseUrl = window.location.origin;

    this.keycloakService.login({ redirectUri: `${baseUrl}/home` });
  }
}
